## NAME

CURLOPT_TIMEOUT - set maximum time the request is allowed to take

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TIMEOUT, long timeout);

## DESCRIPTION

Pass a long as parameter containing timeout - the maximum time in seconds that you allow the libcurl transfer operation to take. Normally, name lookups can take a considerable time and limiting operations to less than a few minutes risk aborting perfectly normal operations. This option may cause libcurl to use the SIGALRM signal to timeout system calls.

In unix-like systems, this might cause signals to be used unless CURLOPT_NOSIGNAL is set.

Since this puts a hard limit for how long time a request is allowed to take, it has limited use in dynamic use cases with varying transfer times. You are then advised to explore CURLOPT_LOW_SPEED_LIMIT, CURLOPT_LOW_SPEED_TIME or using CURLOPT_PROGRESSFUNCTION to implement your own timeout logic.

## DEFAULT

Default timeout is 0 (zero) which means it never times out during transfer.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Always

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_TIMEOUT_MS CURLOPT_CONNECTTIMEOUT CURLOPT_LOW_SPEED_LIMIT

This HTML page was made with roffit.